| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions
Tp::AbstractDBusServiceInterface Class Reference
Service-side implementation

Base class for D-Bus service interfaces. More...

`#include <TelepathyQt/AbstractDBusServiceInterface>`

Inherits Tp::Object.

Inherited by Tp::AbstractProtocolInterface.

List of all members.

## Public Member Functions

- AbstractDBusServiceInterface (const QString &interfaceName)
- virtual ~AbstractDBusServiceInterface ()
- QString interfaceName () const
- virtual QVariantMap immutableProperties () const =0
- DBusObject * dbusObject () const
- bool isRegistered () const

## Protected Member Functions

- virtual bool registerInterface (DBusObject *dbusObject)
- virtual void createAdaptor ()=0

## Detailed Description

Base class for D-Bus service interfaces.

This class serves as a base for all the classes that are used to implement interfaces that sit on top of D-Bus services.

## Constructor & Destructor Documentation

Tp::AbstractDBusServiceInterface::AbstractDBusServiceInterface | ( | const QString & | interfaceName | ) |

Construct an AbstractDBusServiceInterface that implements the interface with the given interfaceName.

Parameters:

  interfaceName | The name of the interface that this class implements.

Tp::AbstractDBusServiceInterface::~AbstractDBusServiceInterface | ( |  | ) | `[virtual]`

Class destructor.

## Member Function Documentation

QString Tp::AbstractDBusServiceInterface::interfaceName | ( |  | ) | const

Return the name of the interface that this class implements, as given on the constructor.

Returns:
  The name of the interface that this class implements.

QVariantMap Tp::AbstractDBusServiceInterface::immutableProperties | ( |  | ) | const`[pure virtual]`

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns:
  The immutable properties of this interface.

Implemented in Tp::BaseProtocolPresenceInterface, Tp::BaseProtocolAvatarsInterface, and Tp::BaseProtocolAddressingInterface.

DBusObject * Tp::AbstractDBusServiceInterface::dbusObject | ( |  | ) | const

Return the DBusObject on which the adaptor of this interface is plugged.

This is only accessible after the interface has been registered with registerInterface().

Returns:
  a pointer to the DBusObject on which the adaptor of this interface is plugged.

See also:
  DBusService::dbusObject()

bool Tp::AbstractDBusServiceInterface::isRegistered | ( |  | ) | const

Return whether this interface has been registered.

Returns:
  `true` if the service has been registered, or `false` otherwise.

See also:
  registerInterface()

bool Tp::AbstractDBusServiceInterface::registerInterface | ( | DBusObject * | dbusObject | ) | `[protected, virtual]`

Registers this interface by plugging its adaptor on the given dbusObject.

Parameters:

  dbusObject | The object on which to plug the adaptor.

Returns:
  `false` if the interface has already been registered, or true otherwise.

See also:
  isRegistered()

void Tp::AbstractDBusServiceInterface::createAdaptor | ( |  | ) | `[protected, pure virtual]`

Create the adaptor for this interface.

Subclasses should reimplement this appropriately.